<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Dokumente\DokumenteUpload;

class DokumenteUploadFormularController extends \Kufer\Web\KuferTools\Basis\Dokumente\DokumenteUpload\DokumenteUploadFormularController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DokumenteUploadFormularUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DokumenteUploadFormularPresenter($pUseCaseResponse);
  }
}